# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1185+1.1069.1.240 -> 1.1186 
#	            Makefile	1.265   -> 1.266  
#	drivers/scsi/sym53c8xx.c	1.14.1.3 -> 1.18   
#
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Mon Mar 22 14:07:50 2004
+++ b/Makefile	Mon Mar 22 14:07:50 2004
@@ -1,7 +1,7 @@
 VERSION = 2
 PATCHLEVEL = 4
 SUBLEVEL = 26
-EXTRAVERSION = -pre4
+EXTRAVERSION = -pre5
 
 KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)
 
diff -Nru a/drivers/scsi/sym53c8xx.c b/drivers/scsi/sym53c8xx.c
--- a/drivers/scsi/sym53c8xx.c	Mon Mar 22 14:07:50 2004
+++ b/drivers/scsi/sym53c8xx.c	Mon Mar 22 14:07:50 2004
@@ -12979,6 +12979,7 @@
 		}
 		if (pci_enable_device(pcidev)) /* @!*!$&*!%-*#;! */
 			continue;
+#ifdef CONFIG_X86
 		/* Some HW as the HP LH4 may report twice PCI devices */
 		for (i = 0; i < count ; i++) {
 			if (devtbl[i].slot.bus	     == PciBusNumber(pcidev) && 
@@ -12987,6 +12988,7 @@
 		}
 		if (i != count)	/* Ignore this device if we already have it */
 			continue;
+#endif
 		devp = &devtbl[count];
 		devp->host_id = driver_setup.host_id;
 		devp->attach_done = 0;
